# pull

This configuration section contains settings to configure the pull behavior.

Read more about the pull behavior in the [Two-way synchronization](/specsync/features/pull-features/two-way-synchronization.md) concept description.

{% hint style="info" %}
The two-way synchronization is an [Enterprise feature](/specsync/licensing.md).
{% endhint %}

The following example shows the available options within this sub-section.

```javascript
{
  ...
  "synchronization": {
    ...
    "pull": {
      "enabled": true,
      "enableCreatingNewLocalTestCases": false,
      "conflictResolution": "interactive"
    },
    ...
  },
  ...
}
```

## Settings

| Setting                           | Description                                                                                                                                                                                                                                                                                              | Default       |
| --------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- |
| `enabled`                         | Enables changing the scenarios in the local repository based on the remote test cases.                                                                                                                                                                                                                   | `false`       |
| `enableCreatingNewLocalTestCases` | Enables creating new scenarios from test cases that are not linked to any scenarios yet.                                                                                                                                                                                                                 | `false`       |
| `conflictResolution`              | Sets the conflict resolution method for pull. Possible values: `overwrite`, `overwriteWithWarning`, `interactive`, `skipWithWarning`, `skip`, `error`. See [Synchronization conflict resolution](/specsync/features/common-synchronization-features/synchronization-conflict-resolution.md) for details. | `interactive` |

{% content-ref url="/pages/-LVwFCLmwNCOYz1dKMTr" %}
[synchronization](/specsync/reference/configuration/configuration-synchronization.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LVwFCLiKB3ACJLwVZGP" %}
[Configuration reference](/specsync/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-pull.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
